> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whatabot.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar Setor

> Atualize um setor.

Atualize o nome de um setor.

<ParamField header="X-Api-Key" type="string" required>
  Sua chave de API (prefixada com `wh_`).
</ParamField>

<ParamField path="id" type="string" required>
  UUID do setor.
</ParamField>

### Body

<ParamField body="name" type="string">
  Nome atualizado do setor.
</ParamField>

### Exemplos de payload

<Tabs>
  <Tab title="Atualizar nome">
    ```json theme={null}
    {
      "name": "Novo Nome"
    }
    ```
  </Tab>
</Tabs>

<RequestExample>
  ```bash theme={null}
  curl -X PATCH https://api.whatabot.app/api/v1/sectors/{id} \
    -H "X-Api-Key: wh_your_api_key" \
    -H "Content-Type: application/json" \
    -d '{"name": "Novo Nome"}'
  ```
</RequestExample>

<ResponseExample>
  ```json 204 theme={null}
  ```
</ResponseExample>
